# 44. Mutace: Nastavit štítky pole

Mutace pro nastavení „Štítků“ na „Pole“. Mutace pracuje v režimu PŘEPIŠ, což znamená, že každý požadavek nahradí všechny existující štítky štítky z požadavku.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace SetFieldLabelsSample {
  setFieldLabels(
    input: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuid: "<placeholder_of_field_uuid>"
      štítky: [{ název: "name1", hodnota: "value1" }]
    }
  ) {
    uuid
    název
    labels {
      název
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/44.-mutace-nastavit-stitky-pole.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
